=== debian/changelog ===
apriltag (0.9.8-2) unstable; urgency=medium

  * Fixed minor bug in simple demo

 -- Dima Kogan <dkogan@debian.org>  Tue, 18 Sep 2018 10:27:24 -0700

apriltag (0.9.8-1) unstable; urgency=medium

  * Initial package release (Closes: #891601)
  
 -- Dima Kogan <dkogan@debian.org>  Sun, 26 Aug 2018 22:04:34 -0700
