=== debian/control ===
Source: apriltag
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/apriltag
Vcs-Git: https://salsa.debian.org/science-team/apriltag.git
Homepage: https://april.eecs.umich.edu/software/apriltag.html

Package: libapriltag0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: AprilTags Visual Fiducial System
 AprilTag is a visual fiducial system, useful for a wide variety of tasks
 including augmented reality, robotics, and camera calibration. Targets can be
 created from an ordinary printer, and the AprilTag detection software computes
 the precise 3D position, orientation, and identity of the tags relative to the
 camera. The AprilTag library is implemented in C with no external dependencies.
 It is designed to be easily included in other applications, as well as be
 portable to embedded devices. Real-time performance can be achieved even on
 cell-phone grade processors.

Package: libapriltag-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libapriltag0 (= ${binary:Version}),
         ${misc:Depends}
Description: AprilTags Visual Fiducial System
 AprilTag is a visual fiducial system, useful for a wide variety of tasks
 including augmented reality, robotics, and camera calibration. Targets can be
 created from an ordinary printer, and the AprilTag detection software computes
 the precise 3D position, orientation, and identity of the tags relative to the
 camera. The AprilTag library is implemented in C with no external dependencies.
 It is designed to be easily included in other applications, as well as be
 portable to embedded devices. Real-time performance can be achieved even on
 cell-phone grade processors.
 .
 This package includes the development files
