## apriltag 0.10.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 AR = ar
 
 CFLAGS = -std=gnu99 -fPIC -Wall -Wno-unused-parameter -Wno-unused-function
-CFLAGS += -I. -O4 -fno-strict-overflow
+CFLAGS += -I. -O3 -fno-strict-overflow
 
 APRILTAG_SRCS := $(shell ls *.c common/*.c)
 APRILTAG_HEADERS := $(shell ls *.h common/*.h)
@@ -20,9 +20,6 @@
 	@chmod +x install.sh
 	@./install.sh $(PREFIX)/lib libapriltag.so
 	@./install.sh $(PREFIX)/include/apriltag $(APRILTAG_HEADERS)
-	@sed 's:^prefix=$$:prefix=$(PREFIX):' < apriltag.pc.in > apriltag.pc
-	@./install.sh $(PREFIX)/lib/pkgconfig apriltag.pc
-	@rm apriltag.pc
 	@ldconfig
 
 libapriltag.a: $(APRILTAG_OBJS)
