=== debian/changelog ===
apriltag (0.10.0-6build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:01 +0000

apriltag (0.10.0-6) unstable; urgency=medium

  * The in-tree build uses a relative RPATH, which should make the package
    reproducible

 -- Dima Kogan <dkogan@debian.org>  Fri, 20 Dec 2019 11:01:26 -0800

apriltag (0.10.0-5) unstable; urgency=medium

  * Removed python2 dependency (Closes: #942952)

 -- Dima Kogan <dkogan@debian.org>  Tue, 19 Nov 2019 13:15:14 -0800

apriltag (0.10.0-4) unstable; urgency=medium

  * Added python interface

 -- Dima Kogan <dkogan@debian.org>  Sun, 14 Jul 2019 10:48:08 -0700

apriltag (0.10.0-3) unstable; urgency=medium

  * New detector data supports big-endian architectures

 -- Dima Kogan <dkogan@debian.org>  Fri, 08 Feb 2019 23:08:03 -0800

apriltag (0.10.0-2) unstable; urgency=medium

  * Data used by the new detectors is now read from disk at
    runtime. (Closes: #921256,#920894)

 -- Dima Kogan <dkogan@debian.org>  Sun, 03 Feb 2019 17:46:09 -0800

apriltag (0.10.0-1) unstable; urgency=medium

  * New upstream release. ABI has changed, so we distribute a new
    libapriltag package

 -- Dima Kogan <dkogan@debian.org>  Mon, 31 Dec 2018 17:08:38 -0800
