=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with python3

override_dh_python3:
	dh_numpy3
	dh_python3

# My data files are stored in little-endian order. If building for a big-endian
# arch, I flip the order before writing the data into the package
MKBIGENDIAN32 := '$$/ = undef; $$d=<>; print pack("L>*",unpack("L<*",$$d));'
MKBIGENDIAN64 := '$$/ = undef; $$d=<>; print pack("Q>*",unpack("Q<*",$$d));'

override_dh_auto_build:

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN),little)
	cp tagCircle49h12.bitx.littleendian.data     tagCircle49h12.bitx.data
	cp tagCircle49h12.bity.littleendian.data     tagCircle49h12.bity.data
	cp tagCircle49h12.codes.littleendian.data    tagCircle49h12.codes.data
	cp tagCustom48h12.bitx.littleendian.data     tagCustom48h12.bitx.data
	cp tagCustom48h12.bity.littleendian.data     tagCustom48h12.bity.data
	cp tagCustom48h12.codes.littleendian.data    tagCustom48h12.codes.data
	cp tagStandard41h12.bitx.littleendian.data   tagStandard41h12.bitx.data
	cp tagStandard41h12.bity.littleendian.data   tagStandard41h12.bity.data
	cp tagStandard41h12.codes.littleendian.data  tagStandard41h12.codes.data
	cp tagStandard52h13.bitx.littleendian.data   tagStandard52h13.bitx.data
	cp tagStandard52h13.bity.littleendian.data   tagStandard52h13.bity.data
	cp tagStandard52h13.codes.littleendian.data  tagStandard52h13.codes.data
else
	perl -e $(MKBIGENDIAN64) < tagCircle49h12.codes.littleendian.data   >  tagCircle49h12.codes.data
	perl -e $(MKBIGENDIAN64) < tagCustom48h12.codes.littleendian.data   >  tagCustom48h12.codes.data
	perl -e $(MKBIGENDIAN64) < tagStandard41h12.codes.littleendian.data >  tagStandard41h12.codes.data
	perl -e $(MKBIGENDIAN64) < tagStandard52h13.codes.littleendian.data >  tagStandard52h13.codes.data

	perl -e $(MKBIGENDIAN32) < tagCircle49h12.bitx.littleendian.data    > tagCircle49h12.bitx.data
	perl -e $(MKBIGENDIAN32) < tagCircle49h12.bity.littleendian.data    > tagCircle49h12.bity.data
	perl -e $(MKBIGENDIAN32) < tagCustom48h12.bitx.littleendian.data    > tagCustom48h12.bitx.data
	perl -e $(MKBIGENDIAN32) < tagCustom48h12.bity.littleendian.data    > tagCustom48h12.bity.data
	perl -e $(MKBIGENDIAN32) < tagStandard41h12.bitx.littleendian.data  > tagStandard41h12.bitx.data
	perl -e $(MKBIGENDIAN32) < tagStandard41h12.bity.littleendian.data  > tagStandard41h12.bity.data
	perl -e $(MKBIGENDIAN32) < tagStandard52h13.bitx.littleendian.data  > tagStandard52h13.bitx.data
	perl -e $(MKBIGENDIAN32) < tagStandard52h13.bity.littleendian.data  > tagStandard52h13.bity.data

endif

	dh_auto_build

# don't compress sources in the examples
override_dh_compress:
	dh_compress -X.cc -X.c
