=== debian/watch ===
version=4

# This project has indecisive versioning: some tarballs use a date, and some use
# a version number. Currently the latest release lives in a tarball named
# apriltag-2018-11-29.tgz and this is version 0.10.0. There isn't a lot I can do
# with this, so I at least try to make it work to automatically find newer
# versions. I map 2018-11-29 to version 0.10.0; everything older to version 0 and
# everything newer to version 1000

opts=uversionmangle=s/2018-11-29/0.10.0/;s/201[0-8]-\d\d-\d\d/0/;s/\d\d\d\d-\d\d-\d\d/1000/ \
https://april.eecs.umich.edu/media/apriltag/apriltag-([\d-]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
