=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 CFLAGS = -std=gnu99 -fPIC -Wall -Wno-unused-parameter -Wno-unused-function
 CFLAGS += -I. -O3 -fno-strict-overflow
 
-APRILTAG_SRCS := $(shell ls *.c common/*.c)
+#APRILTAG_SRCS := $(shell ls *.c common/*.c)
+APRILTAG_SRCS := apriltag.c apriltag_pose.c apriltag_quad_thresh.c common/g2d.c common/getopt.c common/homography.c common/image_u8.c common/image_u8x3.c common/image_u8x4.c common/matd.c common/pam.c common/pjpeg.c common/pjpeg-idct.c common/pnm.c common/string_util.c common/svd22.c common/time_util.c common/unionfind.c common/workerpool.c common/zarray.c common/zhash.c common/zmaxheap.c tag16h5.c tag25h9.c tag36h11.c tagCircle21h7.c tagCircle49h12.c tagCustom48h12.c tagStandard41h12.c tagStandard52h13.c
 APRILTAG_HEADERS := $(shell ls *.h common/*.h)
 APRILTAG_OBJS := $(APRILTAG_SRCS:%.c=%.o)
 TARGETS := libapriltag.a libapriltag.so
