=== debian/changelog ===
apriltag (3.2.0-1) unstable; urgency=medium

  * New upstream release
    - New tag family: tag36h10

 -- Dima Kogan <dkogan@debian.org>  Sat, 05 Feb 2022 15:58:40 -0800

apriltag (3.1.7-1) unstable; urgency=medium

  * New upstream release

    - Mostly bug fixes
    - Two tag families have been removed because they didn't work well:
      - tagStandard25h7
      - tagStandard32h10

 -- Dima Kogan <dkogan@debian.org>  Fri, 26 Mar 2021 19:26:11 -0700
