=== debian/control ===
--- 
+++ 
@@ -3,13 +3,19 @@
 Uploaders: Dima Kogan <dkogan@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12),
+  chrpath,
+  python3-dev,
+  python3-numpy,
+  dh-python,
+  libfreeimage-dev,
+  cmake
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/science-team/apriltag
 Vcs-Git: https://salsa.debian.org/science-team/apriltag.git
 Homepage: https://april.eecs.umich.edu/software/apriltag.html
 
-Package: libapriltag0
+Package: libapriltag3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -28,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libapriltag0 (= ${binary:Version}),
+Depends: libapriltag3 (= ${binary:Version}),
          ${misc:Depends}
 Description: AprilTags Visual Fiducial System
  AprilTag is a visual fiducial system, useful for a wide variety of tasks
@@ -41,3 +47,37 @@
  cell-phone grade processors.
  .
  This package includes the development files
+
+Package: python3-apriltag
+Section: python
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3 (= ${binary:Version}),
+         ${python3:Depends}
+Provides: ${python3:Provides}
+Description: AprilTags Visual Fiducial System
+ AprilTag is a visual fiducial system, useful for a wide variety of tasks
+ including augmented reality, robotics, and camera calibration. Targets can be
+ created from an ordinary printer, and the AprilTag detection software computes
+ the precise 3D position, orientation, and identity of the tags relative to the
+ camera. The AprilTag library is implemented in C with no external dependencies.
+ It is designed to be easily included in other applications, as well as be
+ portable to embedded devices. Real-time performance can be achieved even on
+ cell-phone grade processors.
+ .
+ This package provides the Python3 interfaces
+
+Package: apriltag
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3 (= ${binary:Version})
+Description: AprilTags Visual Fiducial System
+ AprilTag is a visual fiducial system, useful for a wide variety of tasks
+ including augmented reality, robotics, and camera calibration. Targets can be
+ created from an ordinary printer, and the AprilTag detection software computes
+ the precise 3D position, orientation, and identity of the tags relative to the
+ camera. The AprilTag library is implemented in C with no external dependencies.
+ It is designed to be easily included in other applications, as well as be
+ portable to embedded devices. Real-time performance can be achieved even on
+ cell-phone grade processors.
+ .
+ This package provides the commandline tools
