=== debian/changelog ===
apriltag (3.3.0-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:40:28 +0000

apriltag (3.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061895

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:19:00 +0000

apriltag (3.3.0-2) unstable; urgency=medium

  * I ship cmake files into arch-specific directories

 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Sep 2023 12:21:36 -0700

apriltag (3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Thu, 08 Sep 2022 18:56:11 -0700
