=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: apriltag
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
   chrpath,
   python3-dev,
   python3-numpy,
@@ -15,7 +16,10 @@
 Vcs-Git: https://salsa.debian.org/science-team/apriltag.git
 Homepage: https://april.eecs.umich.edu/software/apriltag.html
 
-Package: libapriltag3
+Package: libapriltag3t64
+Provides: ${t64:Provides}
+Replaces: libapriltag3
+Breaks: libapriltag3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -34,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libapriltag3 (= ${binary:Version}),
+Depends: libapriltag3t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: AprilTags Visual Fiducial System
  AprilTag is a visual fiducial system, useful for a wide variety of tasks
@@ -52,7 +56,7 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3t64 (= ${binary:Version}),
          ${python3:Depends}
 Provides: ${python3:Provides}
 Description: AprilTags Visual Fiducial System
@@ -69,7 +73,7 @@
 
 Package: apriltag
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libapriltag3t64 (= ${binary:Version})
 Description: AprilTags Visual Fiducial System
  AprilTag is a visual fiducial system, useful for a wide variety of tasks
  including augmented reality, robotics, and camera calibration. Targets can be
