=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_python3:
	dh_numpy3
	dh_python3

override_dh_auto_install:
	dh_auto_install

	mv debian/tmp/usr/bin/simple_demo debian/tmp/usr/bin/apriltag
	rm -f debian/tmp/usr/bin/*_demo

	chrpath -d debian/tmp/usr/lib/python*/dist-packages/*

        # Some of the cmake files have architecture-specific content. So I put
        # them ALL in an arch-specific directory:
        #
        #   dima@shorty:/tmp$ diff libapriltag-dev_3.3.0-1+b1_a{md64,rmhf}/usr/share/apriltag/cmake/apriltagConfigVersion.cmake
        #   61c61
        #   < if("${CMAKE_SIZEOF_VOID_P}" STREQUAL "" OR "8" STREQUAL "")
        #   ---
        #   > if("${CMAKE_SIZEOF_VOID_P}" STREQUAL "" OR "4" STREQUAL "")
        #   66,67c66,67
        #   < if(NOT CMAKE_SIZEOF_VOID_P STREQUAL "8")
        #   <   math(EXPR installedBits "8 * 8")
        #   ---
        #   > if(NOT CMAKE_SIZEOF_VOID_P STREQUAL "4")
        #   >   math(EXPR installedBits "4 * 8")
        #
        #   dima@shorty:/tmp$ diff libapriltag-dev_3.3.0-1+b1_a{md64,rmhf}/usr/share/apriltag/cmake/apriltagTargets-none.cmake
        #   11c11
        #   <   IMPORTED_LOCATION_NONE "${_IMPORT_PREFIX}/lib/x86_64-linux-gnu/libapriltag.so.3.3.0"
        #   ---
        #   >   IMPORTED_LOCATION_NONE "${_IMPORT_PREFIX}/lib/arm-linux-gnueabihf/libapriltag.so.3.3.0"
        #   16c16
        #   < list(APPEND _cmake_import_check_files_for_apriltag::apriltag "${_IMPORT_PREFIX}/lib/x86_64-linux-gnu/libapriltag.so.3.3.0" )
        #   ---
        #   > list(APPEND _cmake_import_check_files_for_apriltag::apriltag "${_IMPORT_PREFIX}/lib/arm-linux-gnueabihf/libapriltag.so.3.3.0" )
        #   21c21
        #   <   IMPORTED_LOCATION_NONE "${_IMPORT_PREFIX}/lib/x86_64-linux-gnu/libapriltag-utils.so.3.3.0"
        #   ---
        #   >   IMPORTED_LOCATION_NONE "${_IMPORT_PREFIX}/lib/arm-linux-gnueabihf/libapriltag-utils.so.3.3.0"
        #   26c26
        #   < list(APPEND _cmake_import_check_files_for_apriltag::apriltag-utils "${_IMPORT_PREFIX}/lib/x86_64-linux-gnu/libapriltag-utils.so.3.3.0" )
        #   ---
        #   > list(APPEND _cmake_import_check_files_for_apriltag::apriltag-utils "${_IMPORT_PREFIX}/lib/arm-linux-gnueabihf/libapriltag-utils.so.3.3.0" )
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/apriltag/
	mv debian/tmp/usr/share/apriltag/cmake/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/apriltag/
	rmdir debian/tmp/usr/share/apriltag/cmake

# don't compress sources in the examples
override_dh_compress:
	dh_compress -X.cc -X.c
