=== debian/changelog ===
apriltag (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 11 Nov 2024 09:13:16 -0800

apriltag (3.3.0-3) unstable; urgency=medium

  * CMake files shipped to proper directories correctly (Closes: #1069023)

 -- Dima Kogan <dkogan@debian.org>  Mon, 15 Apr 2024 09:50:36 -0700
