=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: apriltag
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Section: libs
 Priority: optional
