=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_python3:
	dh_numpy3
	dh_python3

override_dh_auto_install:
	dh_auto_install

	mv debian/tmp/usr/bin/simple_demo debian/tmp/usr/bin/apriltag
	rm -f debian/tmp/usr/bin/*_demo

	chrpath -d debian/tmp/usr/lib/python*/dist-packages/*

# don't compress sources in the examples
override_dh_compress:
	dh_compress -X.cc -X.c
